@charset "UTF-8";
@-webkit-keyframes test-animation {
  form {
    -webkit-transform: scale(0) rotate(0deg);
            transform: scale(0) rotate(0deg);
    -webkit-transform-origin: left;
            transform-origin: left;
    opacity: 1;
  }
  to {
    -webkit-transform: scale(15) rotate(360deg);
            transform: scale(15) rotate(360deg);
    -webkit-transform-origin: left;
            transform-origin: left;
    color: red;
    opacity: .5;
  }
}
@keyframes test-animation {
  form {
    -webkit-transform: scale(0) rotate(0deg);
            transform: scale(0) rotate(0deg);
    -webkit-transform-origin: left;
            transform-origin: left;
    opacity: 1;
  }
  to {
    -webkit-transform: scale(15) rotate(360deg);
            transform: scale(15) rotate(360deg);
    -webkit-transform-origin: left;
            transform-origin: left;
    color: red;
    opacity: .5;
  }
}

/********* Format général ***********/
* {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  margin: 0;
  padding: 0;
}

a, button {
  cursor: pointer;
}

a {
  text-decoration: none;
  color: black;
}

body {
  color: black;
  margin: auto;
}

h1 {
  font-family: 'Shrikhand', cursive;
}

h2, h3, h4, h5, h6, p {
  font-family: 'Roboto', sans-serif;
}

h3 {
  font-size: 1.1em;
}

button:hover {
  background-color: #99E2D0;
}

.header-index {
  text-align: center;
  padding-top: 15px;
}

.footer {
  background-color: #353535;
  height: auto;
  padding-bottom: 20px;
}

.footer__element {
  margin-left: 15px;
}

.footer__element--logo {
  padding: 20px 0;
}

.footer__element--logo img {
  -webkit-filter: invert(100%);
          filter: invert(100%);
  height: 15px;
}

.footer__element-text {
  margin-left: 10px;
}

.footer__element-img {
  -ms-grid-column-align: center;
      justify-self: center;
}

.footer a {
  color: white;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  margin-bottom: 10px;
}

/*************Présentation***************/
input {
  border: none;
  background-color: #eaeaea;
  margin-left: 15px;
  font-size: 1.2em;
}

.presentation {
  text-align: center;
  margin-bottom: 50px;
}

.presentation__search-location {
  background-color: #eaeaea;
  border-top: solid 2px #cecece;
  padding: 20px;
  margin-top: 15px;
}

.presentation__text {
  background-color: #f2f2f2;
  padding-top: 40px;
  padding-bottom: 40px;
}

.presentation__text h2 {
  font-weight: bold;
}

.presentation__text p {
  margin-top: 20px;
}

.presentation__text-button {
  background: -webkit-gradient(linear, right bottom, left top, from(#9356DC), to(#FF79DA));
  background: linear-gradient(to top left, #9356DC, #FF79DA);
  padding: 15px 10px;
  border-radius: 25px;
  border: none;
  color: white;
  margin-left: auto;
  margin-right: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  width: 220px;
  font-size: 1.05em;
  margin-top: 30px;
}

/************* Fonctionnement **********/
.fonctionnement__title {
  margin-left: 10px;
  margin-bottom: 15px;
}

.fonctionnement-container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  margin-bottom: 30px;
}

.fonctionnement-card {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  border: none;
  width: 90%;
  border-radius: 15px;
  background-color: #f2f2f2;
  -webkit-box-shadow: 5px 5px 5px #f2f2f2;
          box-shadow: 5px 5px 5px #f2f2f2;
  margin-top: 10px;
  margin-bottom: 12px;
  padding: 20px 5px;
}

.fonctionnement-card p {
  border-radius: 50%;
  background-color: #9356DC;
  color: white;
  padding: 2px 6px;
  margin-left: -10px;
  margin-right: 20px;
}

.fonctionnement-card__name {
  margin-left: 20px;
}

.fonctionnement-card--modified {
  background-color: #f5edff;
}

/*************** Restaurant card ***************/
.restaurant-list {
  background-color: #f2f2f2;
  padding-top: 30px;
  height: auto;
  padding-bottom: 30px;
}

.restaurant-list__title {
  font-size: 1.2em;
  width: 335px;
  margin: 0 auto;
}

.restaurant-preview {
  border-radius: 25px;
  -webkit-box-shadow: 10px 10px 10px #f2f2f2;
          box-shadow: 10px 10px 10px #f2f2f2;
  max-width: 335px;
  min-width: 325px;
  height: 250px;
  background-color: white;
  margin: 20px auto;
}

.restaurant-preview__imgContainer {
  height: 70%;
  position: relative;
}

.restaurant-preview__text-container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 15px;
}

.restaurant-preview__text-container h5 {
  font-size: 1.2em;
  margin-bottom: 5px;
}

.restaurant-preview__favorite i {
  size: 150%;
}

.restaurant-img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  border-top-left-radius: 25px;
  border-top-right-radius: 25px;
}

.restaurant-img__new {
  position: absolute;
  top: 5%;
  right: 5%;
  z-index: 1;
  background-color: #99E2D0;
  color: #008766;
  padding: 5px;
  font-size: 0.7em;
}

/************************ Test animation **********************/
/*
    .restaurant-preview__favorites{
        transform: scale(1);
        color: black;
        transition: transform 500ms cubic-bezier(.89,.07,.95,.16);
        transition-timing-function:ease-in-out;
        transform-origin: 200%;
        &:active{
            transform: skew(30deg) scale(5);
            color: red;
        } 
    }
    */
.jaime {
  color: #FF79DA;
  position: relative;
  z-index: 1;
  opacity: 1;
}

.jaime:hover::after {
  opacity: 1;
}

.jaime::after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  opacity: 0;
  z-index: -1;
  background-color: #FF79DA;
  -webkit-transition: opacity 1s;
  transition: opacity 1s;
}

/******************************  Version desktop  **********************/
@media screen and (min-width: 750px) {
  .fonctionnement-container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-pack: space-evenly;
        -ms-flex-pack: space-evenly;
            justify-content: space-evenly;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }
  .fonctionnement-card {
    max-width: 30%;
  }
  .restaurant-list__container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -ms-flex-pack: distribute;
        justify-content: space-around;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
  }
  footer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }
}

/*----------------------Page 2--------------------------*/
.header-pages {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: space-evenly;
      -ms-flex-pack: space-evenly;
          justify-content: space-evenly;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 15px 0;
}

.presentation-menu__img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.restaurant-menu {
  background-color: #f2f2f2;
  border-radius: 35px 35px 0 0;
  margin-top: -50px;
  padding-bottom: 50px;
  z-index: 1;
  position: relative;
}

.restaurant-menu__title {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: distribute;
      justify-content: space-around;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 20px 0;
}

.starter-list, .dishes-list, .dessert-list {
  margin-bottom: 40px;
}

.starter-list__title, .dishes-list__title, .dessert-list__title {
  padding-bottom: 10px;
  border-bottom: solid 5px #99E2D0;
}

.starter-element, .dishes-element, .dessert-element {
  background-color: #ffffff;
  border-radius: 15px;
  -webkit-box-shadow: 5px 5px 5px #e7e7e7;
          box-shadow: 5px 5px 5px #e7e7e7;
  margin: 15px auto;
  padding: 15px 5px;
  max-width: 90%;
}

.starter-element-title, .dishes-element-title, .dessert-element-title {
  margin-bottom: 5px;
}

.starter-element__information, .dishes-element__information, .dessert-element__information {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}

.price {
  font-weight: bold;
}

.complement {
  font-size: 0.9em;
}

.order-button {
  background: -webkit-gradient(linear, right bottom, left top, from(#9356DC), to(#FF79DA));
  background: linear-gradient(to top left, #9356DC, #FF79DA);
  padding: 15px 10px;
  border-radius: 25px;
  border: none;
  color: white;
  margin-left: auto;
  margin-right: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  width: 220px;
  font-size: 1.05em;
}
/*# sourceMappingURL=main.css.map */